## GOFontSel

GOFontSel

## Functions

void | go_font_sel_editable_enters ()
GOColor | go_font_sel_get_color ()
GOFont const * | go_font_sel_get_font ()
GtkWidget * | go_font_sel_new ()
void | go_font_sel_set_font ()
void | go_font_sel_set_sample_text ()
void | go_font_sel_set_color ()
void | go_font_sel_set_script ()

## Types and Values

| GOFontSel

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GOFontSel

## Implemented Interfaces

GOFontSel implements AtkImplementorIface, GtkBuildable, GtkOrientable and GtkFontChooser.

## Description

## Functions

### go_font_sel_editable_enters ()

    void
    go_font_sel_editable_enters (GOFontSel *fs,
                                 GtkWindow *dialog);

### go_font_sel_get_color ()

    GOColor
    go_font_sel_get_color (GOFontSel *gfs);

### go_font_sel_get_font ()

    GOFont const *
    go_font_sel_get_font (GOFontSel const *fs);

### go_font_sel_new ()

    GtkWidget *
    go_font_sel_new (void);

### go_font_sel_set_font ()

    void
    go_font_sel_set_font (GOFontSel *fs,
                          GOFont const *font);

### go_font_sel_set_sample_text ()

    void
    go_font_sel_set_sample_text (GOFontSel *fs,
                                 char const *text);

### go_font_sel_set_color ()

    void
    go_font_sel_set_color (GOFontSel *gfs,
                           GOColor c,
                           gboolean is_default);

### go_font_sel_set_script ()

    void
    go_font_sel_set_script (GOFontSel *fs,
                            GOFontScript script);

## Types and Values

### GOFontSel

    typedef struct _GOFontSel GOFontSel;